<template>
  <div>
    <b-jumbotron bg-variant="white">
      <div>
        <div class="mx-auto d-flex flex-lg-row flex-column hero">
          <!-- Left Column -->
          <div
            class="left-column d-flex flex-lg-grow-1 flex-column align-items-lg-start text-lg-start align-items-center text-center text-lg-left"
          >
            <h1 class="title-text-big">
              Find your own smart <br />
              dog with us
            </h1>
            <p class="mt-3">We'll help you to find your favorite dogs</p>
            <div
              class="d-flex flex-sm-row flex-column align-items-center mx-lg-0 mx-auto justify-content-center gap-3"
            >
              <NuxtLink to="/all">
                <b-button
                  variant="primary"
                  class="btn d-inline-flex mb-md-0 btn-try text-white"
                >
                  Explore
                </b-button>
              </NuxtLink>
            </div>
          </div>
          <!-- Right Column -->
          <div
            class="right-column text-center d-flex justify-content-lg-end justify-content-center pe-0 mt-5 mt-lg-0"
          >
            <b-img
              fluid
              src="~/assets/images/dog.png"
              alt="image"
              width="auto"
              fluid-grow
              style="max-width: 450px"
            />
          </div>
        </div>
      </div>
    </b-jumbotron>
  </div>
</template>
